### 1.46 `pow10`, `pow10f`—base 10 power functions

Synopsis

    #include <math.h>
    double pow10(double x);
    float pow10f(float x);

Description
`pow10` and `pow10f` calculate 10 ^ x, that is, 10 raised to the power x.

Returns
On success, `pow10` and `pow10f` return the calculated value. If the result underflows, the returned value is `0`. If the result overflows, the returned value is `HUGE_VAL`. In either case, `errno` is set to `ERANGE`.

Portability
`pow10` and `pow10f` are GNU extensions.